// gnome.xonotic.in.ua

models/mapobjects/haftreepak/haftree1
{
	surfaceparm alphashadow
	cull none
	nopicmip
	nomipmaps
	{
		map textures/horseaf/haftree1.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		depthfunc equal
		rgbgen vertex
		blendfunc gl_dst_color gl_zero
	}
}

textures/barrio/barrioskybox
{
	qer_editorimage textures/lloydmdm2/lmsky2.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .192 .191 .181 125 0 23
	q3map_surfacelight 115
	skyparms env/barriosky/barriosky - -
}

textures/base_floor/clang_floor
{
	qer_editorimage textures/base_floor/clang_floor.jpg
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1500
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/lavahell.jpg
		tcmod turb 0 .2 0 .1
	}
}

textures/chots/chots
{
	{
		map textures/base_wall/chrome.tga
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity
	}
	{
		map textures/base_door/chots.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map textures/base_door/chots2.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nodraw
}

textures/sfx/blackness
{
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/sfx/blackness.tga
	}
}

textures/toxic2_new/window_light
{
	qer_editorimage textures/toxic2_new/window_light.jpg
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/toxic2_new/window_light.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/toxic2_new/window_light.jpg
		blendfunc gl_one gl_one
	}
}

textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/urban_terror6/flare001
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/urban_terror6/flare001.jpg
		blendfunc gl_one gl_one
	}
}

textures/urban_terror6/swim_light
{
	qer_editorimage textures/urban_terror6/swim_light.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage textures/urban_terror3/nrglightblend.tga
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/urban_terror6/swim_light.tga
	}
}

textures/urban_terror/black
{
	surfaceparm nolightmap
	surfaceparm noimpact
	{
		map textures/urban_terror/black.tga
	}
}

textures/urban_terror/ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

textures/ut4_suburbs/lightbulb
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/ut4_suburbs/lightbulb.tga
		blendfunc gl_one gl_one
		rgbgen identity
	}
}

textures/ut_turnpike/will_fence_chainlink
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/ut_turnpike/will_fence_chainlink.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

